Bug 200220 - Kernel fails to init ATI framebuffer (=fails to boot)
Kernel fails to init ATI framebuffer (=fails to boot)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 07:55 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 08:37:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2006-07-26 07:55:11 EDT
Description of problem:
On my iBook (Rage128 graphics chip) the kernel fails to init the framebuffer and
drops me to a debugging monitor (whereever that one comes from).

The last messages on screen are:

mpic: Seting up MPIC " MPIC 1    " version 1.2 at 80040000, max 4 CPUs
mpic: ISU size: 64, shift: 6, mask: 3f
mpic: Initializing for 64 sources
PID hash table entries 2048 (order: 11, 8192 bytes)
GMT Delta read from XPRAM: 0 minutes, DST: on

Vector: 300 (Data Access) at [d7fc5a30]
    pc: c015a34c: aty128_set_lcd_enable+0x1c/0x100
    lr: c015aa34: aty128fb_set_par+0x3a8/0x404
    sp: d7fc5ae0
   msr: 9032
   dar: 18c
 dsisr: 40000000
  current = 0xd7fc3930
    pid   = 1, comm = swapper
enter ? for help
mon>


Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2445.fc6

How reproducible:
Always

Steps to Reproduce:
1. Install kernel, try to boot
2.
3.
  
Actual results:
Kernel drops to debugging monitor during framebuffer init

Expected results:
Kernel boots

Additional info:
Comment 1 Ralf Ertzinger 2006-07-26 10:36:42 EDT
2.6.17-1.2449.fc6 does the same:

Vector: 300 (Data Access) at [d7fc5a30]
    pc: c015a36c aty128_set_lcd_enable+0x1c/0x100
    lr: c015aa54 aty128fb_set_par+0x3a8/0x404
    sp: d7fc5ae0
   msr: 9032
   dar: 18c
 dsisr: 40000000
  current = 0xd7fc3930
    pid   = 1, comm = swapper
Comment 2 Ralf Ertzinger 2006-08-07 15:12:21 EDT
2.6.17-1.2528.fc6 still does not boot. Anyone reading this?
Comment 3 Ralf Ertzinger 2006-08-24 08:37:23 EDT
2.6.17-1.2583.fc6 boots.

Note You need to log in before you can comment on or make changes to this bug.